Name:           cvsgraph
Version:        1.5.0
Release:        0.fdr.1.1
Epoch:          0
Summary:        A CVS/RCS repository grapher

Group:          Development/Tools
License:        GPL
URL:            http://www.akhphd.au.dk/~bertho/cvsgraph/
Source0: http://www.akhphd.au.dk/~bertho/cvsgraph/release/cvsgraph-1.5.0.tar.gz
Source1:        %{name}-httpd.conf
Patch0:         %{name}-config.patch
Patch1:         %{name}-wrapper.patch
Patch2:         %{name}-spelling.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gd-devel, byacc, flex, freetype-devel, libpng-devel, zlib-devel
BuildRequires:  libjpeg-devel, %{__perl}

%description
CvsGraph is a utility to make a graphical representation of all
revisions and branches of a file in a CVS/RCS repository. It has been
inspired by the 'graph' option in WinCVS.

%package        web
Summary:        WWW interface to %{name}
Group:          Development/Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}, httpd, php

%description    web
WWW interface to %{name}.


%prep
%setup -q
%patch0
%patch1
%patch2 -p1
# Fix up paths in php files
rename .php3 .php *.php3
%{__perl} -pi -e \
  's|/home/bertho/public_html/cvsgraph/cvsgraph|%{_bindir}/cvsgraph|g ;
   s|/home/bertho/public_html/cvsgraph/conf/cvsgraph\.conf|%{_sysconfdir}/cvsgraph.conf|g ;
   s|\b1\.1\.2\b|%{version}|g' \
   *.php
# Fix man page path
%{__perl} -pi -e 's|/usr/local/etc|%{_sysconfdir}|g' cvsgraph.1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

install -Dpm 755 cvsgraph $RPM_BUILD_ROOT%{_bindir}/cvsgraph
install -Dpm 644 cvsgraph.conf $RPM_BUILD_ROOT%{_sysconfdir}/cvsgraph.conf
install -Dpm 644 cvsgraph.1 $RPM_BUILD_ROOT%{_mandir}/man1/cvsgraph.1
install -Dpm 644 cvsgraph.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/cvsgraph.conf.5

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/web
install -pm 644 *.php $RPM_BUILD_ROOT%{_datadir}/%{name}/web

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
%{__perl} -pe 's|/usr/share/cvsgraph/web\b|%{_datadir}/%{name}/web|' \
  %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/zzz-%{name}.conf
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/zzz-%{name}.conf


%clean
rm -rf $RPM_BUILD_ROOT


%post web
[ $1 -eq 1 ] && %{_initrddir}/httpd reload >/dev/null || :

%postun web
%{_initrddir}/httpd reload >/dev/null || :


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README
%config(noreplace) %{_sysconfdir}/cvsgraph.conf
%{_bindir}/cvsgraph
%{_mandir}/man[15]/cvsgraph*.[15]*

%files web
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/zzz-%{name}.conf
%{_datadir}/%{name}


%changelog
* Fri Sep  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.0-0.fdr.1
- Update to 1.5.0.
- Improve default configuration, manual page spelling fixes.
- Rename httpd.conf snippet to zzz-cvsgraph.conf.
- Spec cleanups.

* Sun Jun  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.0-0.fdr.3
- Address -web package comments in #56.
- Spec cleanups and tweaks according to current Fedora spec template.

* Fri Apr 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.0-0.fdr.2
- Fix missing Epoch in -web "main" package dependency.
- Save .spec in UTF-8.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.0-0.fdr.1
- Update to 1.4.0 and current Fedora guidelines.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.3.0-1.fedora.1
- First Fedora release.
